<%
  // infoPropsSubFolder.inc script
  import se.datadosen.util.*;

  if (currentFile.isDirectory()) {
    File subDir = currentFile;

    // Get meta.properties properties
    File propsFile = new File(subDir, "meta.properties");
    if (propsFile.exists()) {
      Properties props = IO.readPropertyFile(propsFile);

      String newComment = props.get("description");
      if (newComment != null) {dirDescription = newComment; }
      String newLabel = props.get("title");
      if (newLabel != null) {
         label = newLabel;
      }
    }
  }
%>
